For the complete documentation index, see llms.txt. This page is also available as Markdown.

Resend Webhook Event by Event ID

A new header X-Violet-Event-Id-Source will be added to the request indicating the original event ID source.

Resend Webhook Event by Event ID

post

Creates a copy and resends a single WebhookEvent by ID.

Path parameters
webhook_idinteger · int32Required
event_idinteger · int32Required
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
default

default response

application/json

Webhook Event

idinteger · int32Read-onlyOptional
app_idinteger · int32Optional

App ID

webhook_idinteger · int32Optional

ID of the webhook the event occurred on

entity_idinteger · int64Optional

ID of entity this event occurred for

entity_external_idstringOptional

External ID of entity this event occurred for

status_codeinteger · int32Optional

HTTP Status Code

responsestringOptional

Response from the remote url

event_typestring · enumOptional

Type of webhook event

Possible values:
remote_endpointstringOptional

Remote endpoint the webhook event was sent.

attemptsinteger · int32Optional

Deliver attempts of the webhook the event

statusstring · enumRequired

Status of webhook event

Possible values:
date_createdstring · date-timeRead-onlyOptional

Date of creation

date_last_modifiedstring · date-timeRead-onlyOptional

Date of last update

date_next_attemptstring · date-timeRead-onlyOptional

Date of next delivery attempt

post/events/webhooks/{webhook_id}/events/{event_id}/resend
POST /v1/events/webhooks/{webhook_id}/events/{event_id}/resend HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
default

default response

{
  "id": 1,
  "app_id": 1,
  "webhook_id": 1,
  "entity_id": 1,
  "entity_external_id": "text",
  "status_code": 1,
  "response": "text",
  "event_type": "ORDER_UPDATED",
  "remote_endpoint": "text",
  "attempts": 1,
  "status": "CREATED",
  "date_created": "2026-01-01T00:00:00.000Z",
  "date_last_modified": "2026-01-01T00:00:00.000Z",
  "date_next_attempt": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?